Summary: VO-CA-AP white-listing plugin for the LCMAPS authorization framework
Name: lcmaps-plugins-vo-ca-ap
Version: 0.0.2
Release: 2%{?dist}
License: ASL 2.0
Group: System Environment/Libraries
URL: https://wiki.nikhef.nl/grid/Lcmaps-plugins-vo-ca-ap
Source0: https://software.nikhef.nl/security/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gcc, lcmaps-devel, openssl-devel
Requires: lcmaps%{?_isa} >= 1.5.0-1
# BuildRoot is still required for EPEL5
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The Local Centre MAPping Service (LCMAPS) is a security middleware
component that processes the users Grid credentials (typically X.509
proxy certificates and VOMS attributes) and maps the user to a local
account based on the site local policy.

This package contains the vo-ca-ap plugin.

%prep
%setup -q

%build

%configure --disable-static

# The following two lines were suggested by
# https://fedoraproject.org/wiki/Packaging/Guidelines to prevent any
# RPATHs creeping in.
# https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
# to prevent unnecessary linking
%define fixlibtool() sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool\
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool\
sed -i -e 's! -shared ! -Wl,--as-needed\\0!g' libtool

%fixlibtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# clean up installed documentation files
rm -rf ${RPM_BUILD_ROOT}%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS LICENSE NEWS BUGS doc/lcmaps-example.db doc/vo-ca-ap-file-example
%{_libdir}/lcmaps/lcmaps_vo_ca_ap.mod
%{_libdir}/lcmaps/liblcmaps_vo_ca_ap.so
%config(noreplace) %{_sysconfdir}/grid-security/vo-ca-ap-file
%{_mandir}/man8/lcmaps_vo_ca_ap.mod.8*

%changelog
* Wed Aug 23 2023 Mischa Salle <msalle@nikhef.nl> 0.0.2-2
- add BuildRequires on gcc
- use https for source URL

* Tue Apr 12 2016 Mischa Salle <msalle@nikhef.nl> 0.0.2-1
- add vo-ca-ap-file
- updated version

* Wed Jul  1 2015 Mischa Salle <msalle@nikhef.nl> 0.0.1-1
- Initial build.
